Reply To: PHP 7 support and required extensions?

Home Forums Support PHP 7 support and required extensions? Reply To: PHP 7 support and required extensions?

#234365
George

Hi Tom,

Yes! Thank you!! One last question. I have installed GP and the Premium plugins on my brand new WordPress site, using PHP 7, https://altoplace.com. So far it seems to be working fine. I haven’t done much, except to set up an About page and one post. I have had a hard time finding a list of “PHP 7 extensions that WordPress in general needs.” I have installed a basic set, listed below. Could you look it over and let me know if you recommend any additional ones that I should install? As I mentioned before, I am brand new to WordPress and web development. I would like to make sure that I have a solid WordPress install before I start digging deeper.

Thank you,
George
ps
The list of my installed PHP 7 extensions:
==> dpkg -l | grep php
ii libapache2-mod-php 1:7.0+35ubuntu6 all server-side, HTML-embedded scripting language (Apache 2 module) (default)
ii libapache2-mod-php7.0 7.0.8-0ubuntu0.16.04.3 amd64 server-side, HTML-embedded scripting language (Apache 2 module)
ii php 1:7.0+35ubuntu6 all server-side, HTML-embedded scripting language (default)
ii php-cli 1:7.0+35ubuntu6 all command-line interpreter for the PHP scripting language (default)
ii php-common 1:35ubuntu6 all Common files for PHP packages
ii php-curl 1:7.0+35ubuntu6 all CURL module for PHP [default]
ii php-gd 1:7.0+35ubuntu6 all GD module for PHP [default]
ii php-mbstring 1:7.0+35ubuntu6 all MBSTRING module for PHP [default]
ii php-mcrypt 1:7.0+35ubuntu6 all libmcrypt module for PHP [default]
ii php-mysql 1:7.0+35ubuntu6 all MySQL module for PHP [default]
ii php-xml 1:7.0+35ubuntu6 all DOM, SimpleXML, WDDX, XML, and XSL module for PHP [default]
ii php-xmlrpc 1:7.0+35ubuntu6 all XMLRPC-EPI module for PHP [default]
ii php7.0 7.0.8-0ubuntu0.16.04.3 all server-side, HTML-embedded scripting language (metapackage)
ii php7.0-cli 7.0.8-0ubuntu0.16.04.3 amd64 command-line interpreter for the PHP scripting language
ii php7.0-common 7.0.8-0ubuntu0.16.04.3 amd64 documentation, examples and common module for PHP
ii php7.0-curl 7.0.8-0ubuntu0.16.04.3 amd64 CURL module for PHP
ii php7.0-gd 7.0.8-0ubuntu0.16.04.3 amd64 GD module for PHP
ii php7.0-json 7.0.8-0ubuntu0.16.04.3 amd64 JSON module for PHP
ii php7.0-mbstring 7.0.8-0ubuntu0.16.04.3 amd64 MBSTRING module for PHP
ii php7.0-mcrypt 7.0.8-0ubuntu0.16.04.3 amd64 libmcrypt module for PHP
ii php7.0-mysql 7.0.8-0ubuntu0.16.04.3 amd64 MySQL module for PHP
ii php7.0-opcache 7.0.8-0ubuntu0.16.04.3 amd64 Zend OpCache module for PHP
ii php7.0-readline 7.0.8-0ubuntu0.16.04.3 amd64 readline module for PHP
ii php7.0-xml 7.0.8-0ubuntu0.16.04.3 amd64 DOM, SimpleXML, WDDX, XML, and XSL module for PHP
ii php7.0-xmlrpc 7.0.8-0ubuntu0.16.04.3 amd64 XMLRPC-EPI module for PHP